summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorQuincey Koziol <koziol@hdfgroup.org>2007-07-12 22:01:35 (GMT)
committerQuincey Koziol <koziol@hdfgroup.org>2007-07-12 22:01:35 (GMT)
commitb4e029c70b5d23cde5b58d23bf244eac3b1b9077 (patch)
tree78a5382d3b22543b70b1612249c04e5d0c37b1e5 /bin
parenta73ea1b4f06635fa712d93f3d956fbede0bd8294 (diff)
downloadhdf5-b4e029c70b5d23cde5b58d23bf244eac3b1b9077.zip
hdf5-b4e029c70b5d23cde5b58d23bf244eac3b1b9077.tar.gz
hdf5-b4e029c70b5d23cde5b58d23bf244eac3b1b9077.tar.bz2
[svn-r13971] Description:
Add --enable-deprecated-symbols configure option, to allow users to remove deprecated public API symbols at configure time. Add bin/make_vers script to bin/reconfigure actions. Run bin/reconfigure to regenerate autotool components. Tested on: Mac OS X/32 10.4.10 (amazon) FreeBSD/32 6.2 (duty) Linux/32 2.6 (kagiso)
Diffstat (limited to 'bin')
-rwxr-xr-xbin/make_vers4
-rwxr-xr-xbin/reconfigure11
2 files changed, 11 insertions, 4 deletions
diff --git a/bin/make_vers b/bin/make_vers
index 465a308..7f612b4 100755
--- a/bin/make_vers
+++ b/bin/make_vers
@@ -86,9 +86,9 @@ sub print_checkoptions ($) {
# Print the option checking
print $fh "\n/* Issue error if contradicting macros have been defined. */\n";
- print $fh "#if defined(H5_USE_16_API) && defined(H5_WITHOUT_DEPRECATED_APIS)\n";
+ print $fh "#if defined(H5_USE_16_API) && defined(H5_NO_DEPRECATED_SYMBOLS)\n";
print $fh "#error \"Can't choose old API versions when deprecated APIs are disabled\"\n";
- print $fh "#endif /* defined(H5_USE_16_API) && defined(H5_WITHOUT_DEPRECATED_APIS) */\n";
+ print $fh "#endif /* defined(H5_USE_16_API) && defined(H5_NO_DEPRECATED_SYMBOLS) */\n";
}
##############################################################################
diff --git a/bin/reconfigure b/bin/reconfigure
index 5c4a7b1..3ead9a9 100755
--- a/bin/reconfigure
+++ b/bin/reconfigure
@@ -118,11 +118,18 @@ echo
echo " Running trace script:"
bin/trace src/H5*.c || exit 1
-# Run make_error
-# make_error automatically generates the H5E headers that create error message
+# Run make_err
+# make_err automatically generates the H5E headers that create error message
# types for HDF5.
echo
echo " Running error generation script:"
bin/make_err src/H5err.txt || exit 1
+# Run make_vers
+# make_vers automatically generates the public headers that define the API version
+# macros for HDF5.
+echo
+echo " Running API version generation script:"
+bin/make_vers src/H5vers.txt || exit 1
+
exit 0